> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an activity log



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/activity-logs/{id}
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/activity-logs/{id}:
    get:
      tags:
        - ActivityLog
      summary: Get an activity log
      operationId: activityLog.show
      parameters:
        - name: id
          in: path
          required: true
          description: The activity log identifier
          schema:
            type: integer
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    $ref: '#/components/schemas/ActivityLogResource'
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    type: object
                    properties:
                      message:
                        anyOf:
                          - type: 'null'
                          - type: array
                            items: {}
                          - type: string
                          - type: object
                    required:
                      - message
                required:
                  - success
                  - data
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    ActivityLogResource:
      anyOf:
        - type: object
          properties:
            id:
              type: integer
            tenant_id: {}
            log_name:
              type:
                - string
                - 'null'
            description:
              type: string
            subject_type:
              type:
                - string
                - 'null'
            subject_id:
              type:
                - integer
                - 'null'
            event:
              type:
                - string
                - 'null'
            causer_type:
              type:
                - string
                - 'null'
            causer_id:
              type:
                - integer
                - 'null'
            properties:
              type:
                - object
                - 'null'
            batch_uuid:
              type:
                - string
                - 'null'
            created_at:
              type:
                - string
                - 'null'
              format: date-time
            updated_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - id
            - tenant_id
            - log_name
            - description
            - subject_type
            - subject_id
            - event
            - causer_type
            - causer_id
            - properties
            - batch_uuid
            - created_at
            - updated_at
        - type: array
          items:
            type: string
          minItems: 0
          maxItems: 0
          additionalItems: false
      title: ActivityLogResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````